import { Effect } from 'effect';
import { type CliConfig } from '../config/types';
import type { ErrorHandlers } from '../error-handlers/default-error-handlers';
import type { Ctx } from '../get-context';
import type { Io } from '../io';
import type { Report } from '../report';
interface Input {
    io: Io;
    cli: Partial<CliConfig>;
    errorHandlers?: ErrorHandlers;
}
export declare function listMismatches({ io, cli, errorHandlers }: Input): Effect.Effect<never, never, unknown>;
/** Exported to be reused by `syncpack lint` */
export declare function pipeline(ctx: Ctx, io: Io, errorHandlers: ErrorHandlers): Effect.Effect<never, never, Ctx>;
export declare function logMissingLocalVersion(report: Report.MissingLocalVersion): Effect.Effect<never, never, void>;
export declare function logMissingSnappedToMismatch(report: Report.MissingSnappedToMismatch): Effect.Effect<never, never, void>;
export declare function logUnsupportedMismatch(report: Report.UnsupportedMismatch): Effect.Effect<never, never, void>;
export declare function logSameRangeMismatch(report: Report.SameRangeMismatch): Effect.Effect<never, never, void>;
export {};
