"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Report = void 0;
const effect_1 = require("effect");
var Report;
(function (Report) {
    /** Semver Groups are disabled by default */
    class Disabled extends effect_1.Data.TaggedClass('Disabled') {
    }
    Report.Disabled = Disabled;
    /** Has a name which does not match the `--filter` RegExp */
    class FilteredOut extends effect_1.Data.TaggedClass('FilteredOut') {
    }
    Report.FilteredOut = FilteredOut;
    /** Is in an ignored version group */
    class Ignored extends effect_1.Data.TaggedClass('Ignored') {
    }
    Report.Ignored = Ignored;
    /** Version satisfies the rules of its version group */
    class Valid extends effect_1.Data.TaggedClass('Valid') {
    }
    Report.Valid = Valid;
    /** Must be removed */
    class Banned extends effect_1.Data.TaggedClass('Banned') {
    }
    Report.Banned = Banned;
    /** Version mismatches and should use a higher version found on another */
    class HighestSemverMismatch extends effect_1.Data.TaggedClass('HighestSemverMismatch') {
    }
    Report.HighestSemverMismatch = HighestSemverMismatch;
    /** Version mismatches the `.version` of the package developed in this repo */
    class LocalPackageMismatch extends effect_1.Data.TaggedClass('LocalPackageMismatch') {
    }
    Report.LocalPackageMismatch = LocalPackageMismatch;
    /** Version mismatches and should use a lower version found on another */
    class LowestSemverMismatch extends effect_1.Data.TaggedClass('LowestSemverMismatch') {
    }
    Report.LowestSemverMismatch = LowestSemverMismatch;
    /** Version is not identical to the `pinVersion` of its Pinned version group */
    class PinnedMismatch extends effect_1.Data.TaggedClass('PinnedMismatch') {
    }
    Report.PinnedMismatch = PinnedMismatch;
    /** Version is identical but the semver range does not match its semver group */
    class SemverRangeMismatch extends effect_1.Data.TaggedClass('SemverRangeMismatch') {
    }
    Report.SemverRangeMismatch = SemverRangeMismatch;
    /** Version mismatches the version used by the packages in the `snapTo` array */
    class SnappedToMismatch extends effect_1.Data.TaggedClass('SnappedToMismatch') {
    }
    Report.SnappedToMismatch = SnappedToMismatch;
    /** Dependency should match a local package.json which is missing a .version */
    class MissingLocalVersion extends effect_1.Data.TaggedClass('MissingLocalVersion') {
    }
    Report.MissingLocalVersion = MissingLocalVersion;
    /** Dependency is not present in any of the packages in the `snapTo` array */
    class MissingSnappedToMismatch extends effect_1.Data.TaggedClass('MissingSnappedToMismatch') {
    }
    Report.MissingSnappedToMismatch = MissingSnappedToMismatch;
    /** Specifier does not cover the specifiers of every other instance in this group */
    class SameRangeMismatch extends effect_1.Data.TaggedClass('SameRangeMismatch') {
    }
    Report.SameRangeMismatch = SameRangeMismatch;
    /** Version mismatches and is not semver, syncpack cannot guess what to do */
    class UnsupportedMismatch extends effect_1.Data.TaggedClass('UnsupportedMismatch') {
    }
    Report.UnsupportedMismatch = UnsupportedMismatch;
})(Report || (exports.Report = Report = {}));
